# eric3.Refactoring.MatchesDialog

### Classes

MatchesDialog | Class implementing a dialog to show matching references/definitions.

### Functions

None

## MatchesDialog

Class implementing a dialog to show matching references/definitions.

### Derived from

MatchesForm

### Methods

MatchesDialog | Constructor
addEntry | Public slot to add a reference to the listview.
handleDoubleClicked | Private slot to handle the DoubleClicked signal of the list.

### MatchesDialog (Constructor)

MatchesDialog(ui, parent = None, name = None, modal = 0, fl = 0)

Constructor

ui
  reference to the UI object
parent
  parent of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal window (boolean)
fl
  window flags

### MatchesDialog.addEntry

addEntry(ref)

Public slot to add a reference to the listview.

### MatchesDialog.handleDoubleClicked

handleDoubleClicked(itm)

Private slot to handle the DoubleClicked signal of the list.

Up